// ******************************************************************************
// * Licensed Materials - Property of IBM
// * 5724-W86, 5724-X63
// *  Copyright IBM Corporation 2008, 2011. All Rights Reserved.
// * US Government Users Restricted Rights- Use, duplication or disclosure
// * restricted by GSA ADP Schedule Contract with IBM Corp.
// ******************************************************************************
// *
// ******************************************************************************

/*
 * Import all of the scripts that we are going to use into one script
 * This allows us to collect imports into one file without spreading them
 * throughout the code.
 */
/**
 * Section of globals 
 */
var logComponent = "alcatel_5529_sdc";
var LOG_DEBUG = 0;

var seRegExp = new RegExp("^[0-9]+\-[0-9]+\-[0-9]+\-[0-9]+$");

function getBoardName(string) {
   // foo-DSLAM12_34_2010-05...
   var s1 = string.split('-').pop();
   var s2_arr = s1.split('_');
   var bname = s2_arr[0] + "_" + s2_arr[1];
   return bname;
}

/*
 * Load the appropriate data structures, order is important, as some imports enhance
 * datastructures created in previous files. 
 */
PV.importScript('alcatel_5529_sdc/common.js')
PV.importScript('alcatel_5529_sdc/func.js')
PV.importScript('alcatel_5529_sdc/AppLogger.js')
PV.importScript('alcatel_5529_sdc/APModeler.js')
PV.importScript('alcatel_5529_sdc/SubElementClasses.js');
PV.importScript("alcatel_5529_sdc/schemaDefinition.js");
PV.importScript("alcatel_5529_sdc/inventory.js");
PV.importScript("alcatel_5529_sdc/metrics.js");
PV.importScript("alcatel_5529_sdc/aggregatorDefinition.js");
PV.importScript("alcatel_5529_sdc/lagAggregatorDefinition.js");
PV.importScript("alcatel_5529_sdc/operatorDefinition.js");

