// ******************************************************************************
// * Licensed Materials - Property of IBM
// * 5724-W86, 5724-X63
// *  Copyright IBM Corporation 2008, 2011. All Rights Reserved.
// * US Government Users Restricted Rights- Use, duplication or disclosure
// * restricted by GSA ADP Schedule Contract with IBM Corp.
// ******************************************************************************
// *
// ******************************************************************************

/**
 * Simply produces inventory if it doesn't already exist the record must contain an 
 * element and subelement APObjects in the record.
 * @param {PV.Operator} operator
 * @param {PV.Record} record
 */
function createResourcesIfNeeded(operator, record)
{
	logMessage(7, logComponent, "createRes", "Searching for element " + record.element  )
    var element = operator.elementNamedOrNew(record.element.name);
	enhanceModelFromObject(element,record.element);
     var subelement = operator.subelementNamedOrNew(record.subelement.name);
	 
	 //Store the sub-element for last record processing (processing all the sub elements after the last record in the file)
	 SUBELEMENT_CACHE[record.descriptorName].ELEMENTS[record.element].SUBELEMENTS[record.subelement.name] = "";
	 
	 logMessage(7, logComponent, "createRes", "Searching for subelement " + record.subelement  )
	 enhanceModelFromObject(subelement,record.subelement);
     subelement.element = element;
}

/**
 * enhance the subelement using the object passed in.
 * @param {PV.subelement or PV.Element} subelement
 * @param {SubelementInRecord} subelementObject
 */
function enhanceModelFromObject(subelement,subelementObject) {
	for (var subelementParameter in subelementObject) {
//	 	if(subelementObject.hasOwnProperty(subelementParameter)) {
			//Not sure why but isValid direct assignement fails must re-direct through object
			var recParamValue = subelementObject[subelementParameter];
			if(isValid(recParamValue))	{
				if(subelementParameter != "constructor" &&
					subelementParameter != "toString" &&
					subelementParameter != "isFunction" &&
					subelementParameter != "isNumber" &&
					subelementParameter != "mixIn" &&
					subelementParameter != "clone") {
					subelement[subelementParameter]=subelementObject[subelementParameter];
					logMessage(8, logComponent, "enhanceMod..", "wrote to Model: Object." + subelementParameter +" = " + recParamValue );
				}
			}
		//}
	}
}
